Stablecoin payroll & payroll admin

Refresh Exchange Rates

Name and signature indicate it refreshs exchange rates

POSThttps://api.toku.com/tga/refresh-exchange-rates

Not available to API keys yet. It will need payroll:write.

curl --request POST \
  --url 'https://api.toku.com/tga/refresh-exchange-rates' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "tokenPayrollID": "string"
}'
200 response
{
  "success": true,
  "refreshedCount": 0,
  "failedCount": 0,
  "message": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

tokenPayrollIDstringrequired

Response

200Successful response
successbooleanrequired
refreshedCountintegerrequired
failedCountintegerrequired
messagestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits